module.exports = function(grunt) {

	grunt.initConfig({

		pkg: grunt.file.readJSON('package.json'),

		less: {
			"mju-header": {
				options: {
					paths: ["css"],
					strictImports: true,
					sourceMap: false,
					sourceMapFilename: 'css/mju-header.css.map',
					sourceMapRootpath: '../',
					sourceMapURL: 'mju-header.css.map'
				},
				files: {"css/mju-header.css": "css/less/mju-header.less"}
			},
			"mju-header-ie": {
				options: {
					paths: ["css"],
					strictImports: true,
					modifyVars:{
						oldIe:true,
						maxIEWidth:960
					},
					sourceMap: false,
					sourceMapFilename: 'css/mju-header.css.map',
					sourceMapRootpath: '../',
					sourceMapURL: 'mju-header.css.map'
				},
				files: {"css/mju-header-ie.css": "css/less/mju-header.less"}
			}
		},
		concat:{
			options:{
				sourceMap:true
			},
			script: {
				sourceMapName:'js/script.js.map',
				src:['js/src/utils.js','js/src/script.js'],
				dest:'js/script.js'
			}
		},
		uglify: {
			script: {
				options: {
					sourceMap: false,
					sourceMapName: 'js/script.min.js.map'
				},
				files: {
					'js/script.min.js': 'js/script.js'
				}
			}
		},
		watch: {
			styles: {
				files: ['css/less/**/*.less'],
				tasks: ['less:mju-header', 'less:mju-header-ie'],
				options: {
					nospawn: true
				}
			},
			js: {
				files: ['js/src/**/*.js'],
				tasks: ['concat:script', 'uglify:script'],
				options: {
					nospawn: true
				}
			}
		}

	});


	grunt.loadNpmTasks('grunt-contrib-less');
	grunt.loadNpmTasks('grunt-contrib-watch');
	grunt.loadNpmTasks('grunt-contrib-concat');
	grunt.loadNpmTasks('grunt-contrib-uglify');

	//grunt.registerTask('default', ['less', 'concat:script', 'uglify:script', 'watch']);
	grunt.registerTask('default', ['less', 'watch:styles']);
}